osso-applet-devicelock (1.3.2) unstable; urgency=low

  * Remove -Werror flag. Fixes: NB#56777

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  14 Jun 2007 14:50:14 +0300


osso-applet-devicelock (1.3.1) unstable; urgency=low

  * Use hildon-help instead of deprecated osso-help.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  2 Apr 2007 16:10:31 +0300

osso-applet-devicelock (1.3.0) unstable; urgency=low

  * Remove deprecated bits.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 15 Jan 2007 14:15:21 +0200

osso-applet-devicelock (1.2.2) unstable; urgency=low

  * Make schema agree with the code.
  * Ignore timeout if lock disabled. Fixes: NB#48231
  * Only set settings if changed.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 28 Nov 2006 14:40:42 +0200

osso-applet-devicelock (1.2.1) unstable; urgency=low

  * Add categories field to .desktop.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 20 Jun 2006 15:43:40 +0300

osso-applet-devicelock (1.2.0) unstable; urgency=low

  * Bug N#30318: Fix l10n domains.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 23 May 2006 12:37:36 +0300

osso-applet-devicelock (1.1.3-1) unstable; urgency=low

  * Even more new l10n packaging.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 24 Mar 2006 11:33:45 +0200

osso-applet-devicelock (1.1.2-1) unstable; urgency=low

  * Bug N#23471: Added schema file for settings.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue,  7 Mar 2006 12:18:32 +0200

osso-applet-devicelock (1.1.1-1) unstable; urgency=low

  * New l10n packaging.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 28 Feb 2006 15:10:37 +0200

osso-applet-devicelock (1.1.0-1) unstable; urgency=low

  * Reflect changes in the UI spec.
  * Fix bug #21879@Nokia: Make codelockui transient to control panel.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 13 Dec 2005 10:06:18 +0200

osso-applet-devicelock (1.0.40-1) unstable; urgency=low

  * Bug #21879@Nokia: Make codelock dialog application modal instead of
    system modal.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  9 Dec 2005 13:53:17 +0200

osso-applet-devicelock (1.0.39-2) unstable; urgency=low

  * Fix authors and contact persons.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  7 Oct 2005 13:52:18 +0300

osso-applet-devicelock (1.0.39-1) unstable; urgency=low

  * Fix changelog, contact persons and schema.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  7 Oct 2005 11:12:47 +0300

osso-applet-devicelock (1.0.38-2) unstable; urgency=low

  * Fix fix for 19618.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 23 Sep 2005 18:02:43 +0300

osso-applet-devicelock (1.0.38-1) unstable; urgency=low

  * Fix changelog typo.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu, 22 Sep 2005 15:49:05 +0300

osso-applet-devicelock (1.0.38-0) unstable; urgency=low

  * Bug #19618: Set default values, if unset.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 21 Sep 2005 17:48:24 +0300

osso-applet-devicelock (1.0.37-0) unstable; urgency=low

  * Bug #18702: Fix them leaks again.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 19 Sep 2005 14:57:34 +0300

osso-applet-devicelock (1.0.36-0) unstable; urgency=low

  * Bug #18702: fix leaks.
  * Compiled agains new codelockui.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  9 Sep 2005 16:15:54 +0300

osso-applet-devicelock (1.0.35-0) unstable; urgency=low

  * W35 release
  * Depends 1.0.35-0 codelockui-dev

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu,  1 Sep 2005 13:50:57 +0300

osso-applet-devicelock (1.0.33-2) unstable; urgency=low

  * l10n 4.0 dep

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu,  1 Sep 2005 12:04:47 +0300

osso-applet-devicelock (1.0.33-1) unstable; urgency=low

  * Removed libxtst

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu, 25 Aug 2005 10:10:29 +0300

osso-applet-devicelock (1.0.33-0) unstable; urgency=low

  * RC w33

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu, 18 Aug 2005 10:25:19 +0300

osso-applet-devicelock (1.0.32-1) unstable; urgency=low

  * Fixed for the C-compiler.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu, 18 Aug 2005 08:41:59 +0300

osso-applet-devicelock (1.0.32-0) unstable; urgency=low

  * source code cleaned (bug 16204), removed unused state saving
  * removed/commented out l10n related stuff

 -- Maria Starodubtseva <ext-maria.starodoubtseva@nokia.com>  Mon, 15 Aug 2005 03:55:01 +0300

osso-applet-devicelock (1.0.30-3) unstable; urgency=low

  * Osso-log included
  * Fixed #15033: Help icons missing from Security applet

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 12 Aug 2005 12:08:03 +0300

osso-applet-devicelock (1.0.30-1) unstable; urgency=low

  * added libxtst-dev to source-dep

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Mon,  8 Aug 2005 17:40:11 +0300

osso-applet-devicelock (1.0.30-0) unstable; urgency=low

  * New l10n process

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Mon,  8 Aug 2005 16:09:36 +0300

osso-applet-devicelock (1.0.29-0) unstable; urgency=low

  * New version

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Tue, 19 Jul 2005 19:11:27 +0300

osso-applet-devicelock (1.0.27-0) unstable; urgency=low

  * rc w27

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu,  7 Jul 2005 10:03:50 +0300

osso-applet-devicelock (1.0.26-0) unstable; urgency=low

  * Removed codelockui.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 22 Jun 2005 16:09:46 +0300

osso-applet-devicelock (1.0.25-1) unstable; urgency=low

  * Fixed compilation issue.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 21 Jun 2005 10:43:33 +0300

osso-applet-devicelock (1.0.25-0) unstable; urgency=low

  * Made release 1.0.25

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 20 Jun 2005 08:34:02 +0300

osso-applet-devicelock (1.0.24-1) unstable; urgency=low

  * Fixed hw-key handling

 -- Aapo Makela <ext-pablo.virolainen@nokia.com>  Wed, 15 Jun 2005 13:32:30 +0300

osso-applet-devicelock (1.0.24-0) unstable; urgency=low

  * Made release 1.0.24

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 10 Jun 2005 15:30:02 +0300

osso-applet-devicelock (1.0.23-2) unstable; urgency=low

  * Updated PO-files.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  9 Jun 2005 16:10:25 +0300

osso-applet-devicelock (1.0.23-1) unstable; urgency=low

  * Reverted changes for the changes in version 1.0.22-1
  * Implemented changes in the UI Spec version 3.1 (related to bugs 13611 and 14017)

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  9 Jun 2005 13:17:37 +0300

osso-applet-devicelock (1.0.23-0) unstable; urgency=low

  * Made release 1.0.23

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  2 Jun 2005 15:12:08 +0300

osso-applet-devicelock (1.0.22-1) unstable; urgency=low

  * Fixed "*** Warning: Linking the shared library libsystemuiplugin_devlock.la against the loadable module
  *** libcodelockui.so is not portable!" problems

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu,  2 Jun 2005 15:09:13 +0300

osso-applet-devicelock (1.0.22-0) unstable; urgency=low

  * Made release 1.0.22

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 27 May 2005 11:12:40 +0300

osso-applet-devicelock (0.0.20) unstable; urgency=low

  * Removed extra dependencies

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 27 May 2005 09:16:54 +0300

osso-applet-devicelock (0.0.19) unstable; urgency=low

  * Added pkgconfig file to -dev package

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu, 26 May 2005 15:17:42 +0300

osso-applet-devicelock (0.0.18) unstable; urgency=low

  * codelockui update to new UI and Layout specs

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Thu, 26 May 2005 11:25:24 +0300

osso-applet-devicelock (0.0.17) unstable; urgency=low

  * Updated debian/control (fields Maintainer and Uploaders)

 -- Pablo Virolainen <aapo.makela@nokia.com>  Fri, 20 May 2005 08:21:45 +0300

osso-applet-devicelock (0.0.16) unstable; urgency=low

  * Fixed getting GConf-values in applet (SettingsInternalize).

 -- Pablo Virolainen <aapo.makela@nokia.com>  Wed, 18 May 2005 13:36:55 +0300

osso-applet-devicelock (0.0.15) unstable; urgency=low

  * Fixed passwd changed detection.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 18 May 2005 10:28:45 +0300

osso-applet-devicelock (0.0.14) unstable; urgency=low

  * Fixed debian/copyright
  * Updated desktop file

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue, 17 May 2005 10:16:12 +0300

osso-applet-devicelock (0.0.13) unstable; urgency=low

  * Removed usage of gconf to notify if lockcode is set or not

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue, 17 May 2005 08:40:55 +0300

osso-applet-devicelock (0.0.12) unstable; urgency=low

  * Added missing g_signal_handler_disconnect for signal "response"
    (_pwdchange_response)

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon, 16 May 2005 11:24:41 +0300

osso-applet-devicelock (0.0.11) unstable; urgency=low

  * Moved default gconf value setting from postinst script to
    get_configuration to fix some installation problems.

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Wed, 11 May 2005 10:45:12 +0300

osso-applet-devicelock (0.0.10) unstable; urgency=low

  * Fixed CAL usage

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue,  3 May 2005 14:41:49 +0300

osso-applet-devicelock (0.0.9) unstable; urgency=low

  * Fixed incorrect behaviour when user doesn't enter the new lock code twice
    correctly
  * Fixed usage of codelock_change_passwd in _pwdchange_response

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Tue,  3 May 2005 11:50:44 +0300

osso-applet-devicelock (0.0.8) unstable; urgency=low

  * Added the 'real' pincode read and write functions

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon,  2 May 2005 13:27:45 +0300

osso-applet-devicelock (0.0.7) unstable; urgency=low

  * Splitted applet library in two parts (lockcode UI and applet).

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 29 Apr 2005 15:29:48 +0300

osso-applet-devicelock (0.0.6) unstable; urgency=low

  * Fixed bug id 10365.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 28 Apr 2005 14:41:10 +0300

osso-applet-devicelock (0.0.5) unstable; urgency=low

  * Fixed bug id 10081.
  * Fixed to block checkbox signal, when needed.
  * Some fixes to the look of devicelock dialog.
  * Fixed some bugs in the devicelock dialog (bug id 7883).

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 20 Apr 2005 15:37:44 +0300

osso-applet-devicelock (0.0.4) unstable; urgency=low

  * Fixed to work with w15 sdk-release.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Apr 2005 15:06:35 +0300

osso-applet-devicelock (0.0.3) unstable; urgency=low

  * Fixed some l10n-src package problems

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon, 11 Apr 2005 11:51:22 +0300

osso-applet-devicelock (0.0.2-2) unstable; urgency=low

  * Fixed to use generic localization strings for autolock period.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  7 Apr 2005 13:04:04 +0300

osso-applet-devicelock (0.0.2-1) unstable; urgency=low

  * Fixed schema installation.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 22 Mar 2005 13:03:00 +0200

osso-applet-devicelock (0.0.1-5) unstable; urgency=low

  * Fixed osso-applet-devicelock-l10n-src package.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 21 Mar 2005 11:51:01 +0200

osso-applet-devicelock (0.0.1-4) unstable; urgency=low

  * Fixed charset in locale data.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 Mar 2005 09:32:54 +0200

osso-applet-devicelock (0.0.1-3) unstable; urgency=low

  * Fixed packaging.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 Mar 2005 09:11:42 +0200

osso-applet-devicelock (0.0.1-2) unstable; urgency=low

  * Changed localization packaging.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  8 Mar 2005 12:53:20 +0200

osso-applet-devicelock (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 Feb 2005 09:05:00 +0200

